Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.security.authentication.client
Interface Authenticator

All Known Implementing Classes:
  KerberosAuthenticator, PseudoAuthenticator

    public interface Authenticator

Interface for client authentication mechanisms.

Implementations are use-once instances, they don't need to be thread safe.

Method Summary
`void` | `authenticate(URL url, AuthenticatedURL.Token token)` Authenticates against a URL and returns a `AuthenticatedURL.Token` to be used by subsequent requests.

Method Detail

### authenticate

    void authenticate(URL url,
                      AuthenticatedURL.Token token)
                      throws IOException,
                             AuthenticationException

  Authenticates against a URL and returns a `AuthenticatedURL.Token` to be used by subsequent requests.

  Parameters:
    `url` - the URl to authenticate against.
    `token` - the authentication token being used for the user.
  Throws:
    `IOException` - if an IO error occurred.
    `AuthenticationException` - if an authentication error occurred.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation